/*All LCD Functions Definitions*/
#include <htc.h>
#include <string.h>
#include "lcd.h"


void lcd_cmd(unsigned char value)
{
	LCD_DATA = value;
	RS = 0;
	RW = 0;
	EN = 1;
	__delay_ms(1);
	EN = 0;	
}

void lcd_data(unsigned char value)
{
	LCD_DATA = value;
	RS = 1;
	RW = 0;
	EN = 1;
	__delay_ms(1);
	EN = 0;
}

#ifdef __LCD_INIT
	void lcd_init(void)
	{
		lcd_cmd(0x38);
		lcd_cmd(0x0E);
		lcd_cmd(0x01);
		lcd_cmd(0x06);
		lcd_cmd(0x80);			
	}
#endif

#ifdef __LCD_CLEAR
	void lcd_clear(void)
	{
		lcd_cmd(0x01);		//Clears The LCD
	}
#endif


#ifdef __LCD_DATA_STRING
	void lcd_data_string(unsigned char msg[])
	{
		unsigned int j,len;	
		len = strlen(msg);
		for(j=0;j<len;j++)
		{	
			lcd_data(msg[j]);
		}
	}
#endif

#ifdef __LCD_FIRST_ROW
	void lcd_first_row(void)
	{
		lcd_cmd(0x80);
	}
#endif

#ifdef __LCD_SECOND_ROW
	void lcd_second_row(void)
	{
		lcd_cmd(0xC0);
	}
#endif